<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: RawTile.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('RawTile_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">RawTile.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// RawTile class</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">/*  IIP Image Server</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">    Copyright (C) 2000-2019 Ruven Pillay.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">    This program is free software; you can redistribute it and/or modify</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">    it under the terms of the GNU General Public License as published by</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">    the Free Software Foundation; either version 3 of the License, or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">    (at your option) any later version.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">    This program is distributed in the hope that it will be useful,</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">    GNU General Public License for more details.</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">    You should have received a copy of the GNU General Public License</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">    along with this program; if not, write to the Free Software Foundation,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">    Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#ifndef _RAWTILE_H</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#define _RAWTILE_H</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;cstring&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;cstdlib&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;ctime&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">enum</span> ColourSpaces { NONE, GREYSCALE, sRGB, CIELAB, BINARY };</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">enum</span> CompressionType { UNCOMPRESSED, JPEG, DEFLATE, PNG };</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">enum</span> SampleType { FIXEDPOINT, FLOATINGPOINT };</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classRawTile.html">   45</a></span>&#160;<span class="keyword">class </span><a class="code" href="classRawTile.html">RawTile</a>{</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">   50</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">   53</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">   56</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">   59</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">   62</a></span>&#160;  CompressionType <a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">   65</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">   68</a></span>&#160;  std::string <a class="code" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">   71</a></span>&#160;  time_t <a class="code" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">timestamp</a>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classRawTile.html#ab914435da291c2834e763231ad973144">   74</a></span>&#160;  <span class="keywordtype">void</span> *<a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">   79</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a>;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">   82</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">   85</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">width</a>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">   88</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">height</a>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">   91</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">channels</a>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">   94</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">   97</a></span>&#160;  SampleType <a class="code" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">  100</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">padded</a>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="classRawTile.html#a0d3ea62e49b44183db211a1017b673b4">  113</a></span>&#160;  <a class="code" href="classRawTile.html#a0d3ea62e49b44183db211a1017b673b4">RawTile</a>( <span class="keywordtype">int</span> tn = 0, <span class="keywordtype">int</span> res = 0, <span class="keywordtype">int</span> hs = 0, <span class="keywordtype">int</span> vs = 0,</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;           <span class="keywordtype">int</span> w = 0, <span class="keywordtype">int</span> h = 0, <span class="keywordtype">int</span> c = 0, <span class="keywordtype">int</span> b = 0 ) {</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <a class="code" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">width</a> = w; <a class="code" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">height</a> = h; <a class="code" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a> = b; <a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a> = 0; <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> = NULL;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a> = tn; <a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a> = res; <a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a> = hs ; <a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a> = vs;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <a class="code" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a> = 1; <a class="code" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">channels</a> = c; <a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a> = UNCOMPRESSED; <a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a> = 0;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <a class="code" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">timestamp</a> = 0; <a class="code" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a> = FIXEDPOINT; <a class="code" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">padded</a> = <span class="keyword">false</span>;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  };</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno"><a class="line" href="classRawTile.html#a6b09197c64be0c10942dde1cf8b18548">  123</a></span>&#160;  <a class="code" href="classRawTile.html#a6b09197c64be0c10942dde1cf8b18548">~RawTile</a>() {</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keywordflow">if</span>( <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> &amp;&amp; <a class="code" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a> ){</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;      <span class="keywordflow">switch</span>( <a class="code" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a> ){</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;      <span class="keywordflow">case</span> 32:</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        <span class="keywordflow">if</span>( <a class="code" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a> == FLOATINGPOINT ) <span class="keyword">delete</span>[] (<span class="keywordtype">float</span>*) <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        <span class="keywordflow">else</span> <span class="keyword">delete</span>[] (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>*) <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;      <span class="keywordflow">case</span> 16:</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        <span class="keyword">delete</span>[] (<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>*) <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;      <span class="keywordflow">default</span>:</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        <span class="keyword">delete</span>[] (<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>*) <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;      }</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    }</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  }</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="classRawTile.html#ab9cb496e7865c20c9e4678bd6c381261">  142</a></span>&#160;  <a class="code" href="classRawTile.html#ab9cb496e7865c20c9e4678bd6c381261">RawTile</a>( <span class="keyword">const</span> <a class="code" href="classRawTile.html">RawTile</a>&amp; tile ) {</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a> = tile.<a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a>;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    <a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a> = tile.<a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a>;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a> = tile.<a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a>;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    <a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a> = tile.<a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a>;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a> = tile.<a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a>;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a> = tile.<a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a>;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <a class="code" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a> = tile.<a class="code" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a>;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <a class="code" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">timestamp</a> = tile.<a class="code" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">timestamp</a>;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    <a class="code" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a> = tile.<a class="code" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a>;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    <a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a> = tile.<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <a class="code" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">width</a> = tile.<a class="code" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">width</a>;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    <a class="code" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">height</a> = tile.<a class="code" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">height</a>;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <a class="code" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">channels</a> = tile.<a class="code" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">channels</a>;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    <a class="code" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a> = tile.<a class="code" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a>;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <a class="code" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a> = tile.<a class="code" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a>;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    <a class="code" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">padded</a> = tile.<a class="code" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">padded</a>;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    <span class="keywordflow">switch</span>( <a class="code" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a> ){</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;      <span class="keywordflow">case</span> 32:</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        <span class="keywordflow">if</span>( <a class="code" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a> == FLOATINGPOINT ) <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> = <span class="keyword">new</span> <span class="keywordtype">float</span>[<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>/4];</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        <span class="keywordflow">else</span> <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> = <span class="keyword">new</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>[<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>/4];</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;      <span class="keywordflow">case</span> 16:</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> = <span class="keyword">new</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>[<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>/2];</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;      <span class="keywordflow">default</span>:</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;        <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> = <span class="keyword">new</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>[<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>];</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    }</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="keywordflow">if</span>( <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> &amp;&amp; (<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a> &gt; 0) &amp;&amp; tile.<a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> ){</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;      memcpy( <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>, tile.<a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>, <a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a> );</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;      <a class="code" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a> = 1;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    }</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;  }</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00182"></a><span class="lineno"><a class="line" href="classRawTile.html#a6e91a2ddf63b1e6bb228d74446c60dcf">  182</a></span>&#160;  <a class="code" href="classRawTile.html">RawTile</a>&amp; <a class="code" href="classRawTile.html#a6e91a2ddf63b1e6bb228d74446c60dcf">operator= </a>( <span class="keyword">const</span> <a class="code" href="classRawTile.html">RawTile</a>&amp; tile ) {</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a> = tile.<a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a>;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a> = tile.<a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a>;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a> = tile.<a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a>;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    <a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a> = tile.<a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a>;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    <a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a> = tile.<a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a>;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    <a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a> = tile.<a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a>;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <a class="code" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a> = tile.<a class="code" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a>;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    <a class="code" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">timestamp</a> = tile.<a class="code" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">timestamp</a>;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    <a class="code" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a> = tile.<a class="code" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a>;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a> = tile.<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <a class="code" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">width</a> = tile.<a class="code" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">width</a>;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    <a class="code" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">height</a> = tile.<a class="code" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">height</a>;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <a class="code" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">channels</a> = tile.<a class="code" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">channels</a>;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    <a class="code" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a> = tile.<a class="code" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a>;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    <a class="code" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a> = tile.<a class="code" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a>;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    <a class="code" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">padded</a> = tile.<a class="code" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">padded</a>;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    <span class="keywordflow">switch</span>( <a class="code" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a> ){</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;      <span class="keywordflow">case</span> 32:</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;        <span class="keywordflow">if</span>( <a class="code" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a> == FLOATINGPOINT ) <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> = <span class="keyword">new</span> <span class="keywordtype">float</span>[<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>/4];</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;        <span class="keywordflow">else</span> <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> = <span class="keyword">new</span> <span class="keywordtype">int</span>[<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>/4];</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;      <span class="keywordflow">case</span> 16:</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;        <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> = <span class="keyword">new</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>[<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>/2];</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;      <span class="keywordflow">default</span>:</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;        <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> = <span class="keyword">new</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>[<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>];</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    }</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    <span class="keywordflow">if</span>( <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> &amp;&amp; (<a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a> &gt; 0) &amp;&amp; tile.<a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a> ){</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;      memcpy( <a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>, tile.<a class="code" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>, <a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a> );</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;      <a class="code" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a> = 1;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    }</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;  }</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div><div class="line"><a name="l00224"></a><span class="lineno"><a class="line" href="classRawTile.html#a4aaec0288e5d3f5fbe653d55cf153bc8">  224</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#a4aaec0288e5d3f5fbe653d55cf153bc8">size</a>() { <span class="keywordflow">return</span> <a class="code" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>; }</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno"><a class="line" href="classRawTile.html#a5fef13f37e92911061b80e2125bc2bc8">  228</a></span>&#160;  <span class="keyword">friend</span> <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#a5fef13f37e92911061b80e2125bc2bc8">operator == </a>( <span class="keyword">const</span> <a class="code" href="classRawTile.html">RawTile</a>&amp; A, <span class="keyword">const</span> <a class="code" href="classRawTile.html">RawTile</a>&amp; B ) {</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    <span class="keywordflow">if</span>( (A.<a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a> == B.<a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a>) &amp;&amp;</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;        (A.<a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a> == B.<a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a>) &amp;&amp;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;        (A.<a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a> == B.<a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a>) &amp;&amp;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        (A.<a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a> == B.<a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a>) &amp;&amp;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;        (A.<a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a> == B.<a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a>) &amp;&amp;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;        (A.<a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a> == B.<a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a>) &amp;&amp;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;        (A.<a class="code" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a> == B.<a class="code" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a>) ){</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;      <span class="keywordflow">return</span>( 1 );</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    }</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    <span class="keywordflow">else</span> <span class="keywordflow">return</span>( 0 );</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;  }</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno"><a class="line" href="classRawTile.html#a399bc311a253c5572d27f51e4a473eda">  243</a></span>&#160;  <span class="keyword">friend</span> <span class="keywordtype">int</span> <a class="code" href="classRawTile.html#a399bc311a253c5572d27f51e4a473eda">operator != </a>( <span class="keyword">const</span> <a class="code" href="classRawTile.html">RawTile</a>&amp; A, <span class="keyword">const</span> <a class="code" href="classRawTile.html">RawTile</a>&amp; B ) {</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    <span class="keywordflow">if</span>( (A.<a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a> == B.<a class="code" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a>) &amp;&amp;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;        (A.<a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a> == B.<a class="code" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a>) &amp;&amp;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;        (A.<a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a> == B.<a class="code" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a>) &amp;&amp;</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;        (A.<a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a> == B.<a class="code" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a>) &amp;&amp;</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;        (A.<a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a> == B.<a class="code" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a>) &amp;&amp;</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;        (A.<a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a> == B.<a class="code" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a>) &amp;&amp;</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;        (A.<a class="code" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a> == B.<a class="code" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a>) ){</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;      <span class="keywordflow">return</span>( 0 );</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    }</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    <span class="keywordflow">else</span> <span class="keywordflow">return</span>( 1 );</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;  }</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;};</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classRawTile_html_a5bf652f813c72cfe6b095880da27d8d0"><div class="ttname"><a href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">RawTile::vSequence</a></div><div class="ttdeci">int vSequence</div><div class="ttdoc">The vertical angle to which this tile belongs. </div><div class="ttdef"><b>Definition:</b> RawTile.h:59</div></div>
<div class="ttc" id="classRawTile_html_a18ef629fc3cf0b2ef09417703985bfa1"><div class="ttname"><a href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">RawTile::padded</a></div><div class="ttdeci">bool padded</div><div class="ttdoc">Padded. </div><div class="ttdef"><b>Definition:</b> RawTile.h:100</div></div>
<div class="ttc" id="classRawTile_html_ac30ec52284c5cfe298da652f009f974e"><div class="ttname"><a href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">RawTile::sampleType</a></div><div class="ttdeci">SampleType sampleType</div><div class="ttdoc">Sample format type (fixed or floating point) </div><div class="ttdef"><b>Definition:</b> RawTile.h:97</div></div>
<div class="ttc" id="classRawTile_html_ab3347b1e277e6a9ae76e586bc2039f1e"><div class="ttname"><a href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">RawTile::dataLength</a></div><div class="ttdeci">unsigned int dataLength</div><div class="ttdoc">The size of the data pointed to by data. </div><div class="ttdef"><b>Definition:</b> RawTile.h:82</div></div>
<div class="ttc" id="classRawTile_html_a9bfdf53386b287f7c3fc6f55b34c7dc2"><div class="ttname"><a href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">RawTile::resolution</a></div><div class="ttdeci">int resolution</div><div class="ttdoc">The resolution to which this tile belongs. </div><div class="ttdef"><b>Definition:</b> RawTile.h:53</div></div>
<div class="ttc" id="classRawTile_html_ab9cb496e7865c20c9e4678bd6c381261"><div class="ttname"><a href="classRawTile.html#ab9cb496e7865c20c9e4678bd6c381261">RawTile::RawTile</a></div><div class="ttdeci">RawTile(const RawTile &amp;tile)</div><div class="ttdoc">Copy constructor - handles copying of data buffer. </div><div class="ttdef"><b>Definition:</b> RawTile.h:142</div></div>
<div class="ttc" id="classRawTile_html_ab914435da291c2834e763231ad973144"><div class="ttname"><a href="classRawTile.html#ab914435da291c2834e763231ad973144">RawTile::data</a></div><div class="ttdeci">void * data</div><div class="ttdoc">Pointer to the image data. </div><div class="ttdef"><b>Definition:</b> RawTile.h:74</div></div>
<div class="ttc" id="classRawTile_html_ae0ba8d4613c454cbbb73251600eae303"><div class="ttname"><a href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">RawTile::height</a></div><div class="ttdeci">unsigned int height</div><div class="ttdoc">The height in pixels of this tile. </div><div class="ttdef"><b>Definition:</b> RawTile.h:88</div></div>
<div class="ttc" id="classRawTile_html_adf557b561ec0c2e012cdeaac7618ea07"><div class="ttname"><a href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">RawTile::hSequence</a></div><div class="ttdeci">int hSequence</div><div class="ttdoc">The horizontal angle to which this tile belongs. </div><div class="ttdef"><b>Definition:</b> RawTile.h:56</div></div>
<div class="ttc" id="classRawTile_html_a994e9e3a386bd44ceacd25f54ceacee4"><div class="ttname"><a href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">RawTile::tileNum</a></div><div class="ttdeci">int tileNum</div><div class="ttdoc">The tile number for this tile. </div><div class="ttdef"><b>Definition:</b> RawTile.h:50</div></div>
<div class="ttc" id="classRawTile_html_a6e91a2ddf63b1e6bb228d74446c60dcf"><div class="ttname"><a href="classRawTile.html#a6e91a2ddf63b1e6bb228d74446c60dcf">RawTile::operator=</a></div><div class="ttdeci">RawTile &amp; operator=(const RawTile &amp;tile)</div><div class="ttdoc">Copy assignment constructor. </div><div class="ttdef"><b>Definition:</b> RawTile.h:182</div></div>
<div class="ttc" id="classRawTile_html_ac91c2369d082758d84e14e665ef89e50"><div class="ttname"><a href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">RawTile::compressionType</a></div><div class="ttdeci">CompressionType compressionType</div><div class="ttdoc">Compression type. </div><div class="ttdef"><b>Definition:</b> RawTile.h:62</div></div>
<div class="ttc" id="classRawTile_html_a21c0728e8a6e11caa69a527c3e89f977"><div class="ttname"><a href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">RawTile::bpc</a></div><div class="ttdeci">int bpc</div><div class="ttdoc">The number of bits per channel for this tile. </div><div class="ttdef"><b>Definition:</b> RawTile.h:94</div></div>
<div class="ttc" id="classRawTile_html_ad007b64971987d44cdfa4869e39b0ad5"><div class="ttname"><a href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">RawTile::memoryManaged</a></div><div class="ttdeci">int memoryManaged</div><div class="ttdef"><b>Definition:</b> RawTile.h:79</div></div>
<div class="ttc" id="classRawTile_html_a1e0d331e87d42ba80b068c3c6da3eca6"><div class="ttname"><a href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">RawTile::filename</a></div><div class="ttdeci">std::string filename</div><div class="ttdoc">Name of the file from which this tile comes. </div><div class="ttdef"><b>Definition:</b> RawTile.h:68</div></div>
<div class="ttc" id="classRawTile_html_a0dc4fe8867632abd2d33c8834c5f3fe4"><div class="ttname"><a href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">RawTile::width</a></div><div class="ttdeci">unsigned int width</div><div class="ttdoc">The width in pixels of this tile. </div><div class="ttdef"><b>Definition:</b> RawTile.h:85</div></div>
<div class="ttc" id="classRawTile_html_a0d3ea62e49b44183db211a1017b673b4"><div class="ttname"><a href="classRawTile.html#a0d3ea62e49b44183db211a1017b673b4">RawTile::RawTile</a></div><div class="ttdeci">RawTile(int tn=0, int res=0, int hs=0, int vs=0, int w=0, int h=0, int c=0, int b=0)</div><div class="ttdoc">Main constructor. </div><div class="ttdef"><b>Definition:</b> RawTile.h:113</div></div>
<div class="ttc" id="classRawTile_html_a6b09197c64be0c10942dde1cf8b18548"><div class="ttname"><a href="classRawTile.html#a6b09197c64be0c10942dde1cf8b18548">RawTile::~RawTile</a></div><div class="ttdeci">~RawTile()</div><div class="ttdoc">Destructor to free the data array if is has previously be allocated locally. </div><div class="ttdef"><b>Definition:</b> RawTile.h:123</div></div>
<div class="ttc" id="classRawTile_html_ad51addf9934e3cbf3a23a261f988f781"><div class="ttname"><a href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">RawTile::channels</a></div><div class="ttdeci">int channels</div><div class="ttdoc">The number of channels for this tile. </div><div class="ttdef"><b>Definition:</b> RawTile.h:91</div></div>
<div class="ttc" id="classRawTile_html_ad75ec271caaf53e42caafadca3ceb066"><div class="ttname"><a href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">RawTile::quality</a></div><div class="ttdeci">int quality</div><div class="ttdoc">Compression rate or quality. </div><div class="ttdef"><b>Definition:</b> RawTile.h:65</div></div>
<div class="ttc" id="classRawTile_html_a399bc311a253c5572d27f51e4a473eda"><div class="ttname"><a href="classRawTile.html#a399bc311a253c5572d27f51e4a473eda">RawTile::operator!=</a></div><div class="ttdeci">friend int operator!=(const RawTile &amp;A, const RawTile &amp;B)</div><div class="ttdoc">Overloaded non-equality operator. </div><div class="ttdef"><b>Definition:</b> RawTile.h:243</div></div>
<div class="ttc" id="classRawTile_html_a5fef13f37e92911061b80e2125bc2bc8"><div class="ttname"><a href="classRawTile.html#a5fef13f37e92911061b80e2125bc2bc8">RawTile::operator==</a></div><div class="ttdeci">friend int operator==(const RawTile &amp;A, const RawTile &amp;B)</div><div class="ttdoc">Overloaded equality operator. </div><div class="ttdef"><b>Definition:</b> RawTile.h:228</div></div>
<div class="ttc" id="classRawTile_html_a4aaec0288e5d3f5fbe653d55cf153bc8"><div class="ttname"><a href="classRawTile.html#a4aaec0288e5d3f5fbe653d55cf153bc8">RawTile::size</a></div><div class="ttdeci">unsigned int size()</div><div class="ttdoc">Return the size of the data. </div><div class="ttdef"><b>Definition:</b> RawTile.h:224</div></div>
<div class="ttc" id="classRawTile_html_a5155d752cc69c6a5b1ca80d4bc5f263b"><div class="ttname"><a href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">RawTile::timestamp</a></div><div class="ttdeci">time_t timestamp</div><div class="ttdoc">Tile timestamp. </div><div class="ttdef"><b>Definition:</b> RawTile.h:71</div></div>
<div class="ttc" id="classRawTile_html"><div class="ttname"><a href="classRawTile.html">RawTile</a></div><div class="ttdoc">Class to represent a single image tile. </div><div class="ttdef"><b>Definition:</b> RawTile.h:45</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><b>RawTile.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
